QGIS Application - Bug report #9374
Print Composer - html frame stays empty when re-opening the project
2014-01-20 12:40 AM - Mathieu Bossaert

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.0.1 Regression?: No
Operating System: Window 7 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17974
Description

Good morning to everyone,

I am facing a little problem with html frame in the map composer.

It is very helpful and powerful to use html frame to show styled text on a map.

| create my text with LibreOffice, save it as an html file and integrate it in my map composer.
Everything is ok while | don't save the project and quit QGis.

The problem occurs when | want to open my project later.
The url to the web page or to the file used to fill the html frame is the good one but the frame stay empty and the only way to get the text
shown is to delete the frame and create a new one.

Thanks a lot for your help,

Mathieu

Associated revisions

Revision 9ba28b38 - 2014-02-01 11:18 AM - Nyall Dawson

[composer] Ensure url is correctly loaded for html items on project load (fix #9374)

History

#1 - 2014-01-20 01:47 PM - Giovanni Manghi
- Status changed from Open to Feedback

Can you test QGIS master and report back? Thanks!

#2 - 2014-01-21 12:44 AM - Mathieu Bossaert

Good morning Giovanni,

| still have the problem with last nightly version form osgeo4w (00c8196)

#3 - 2014-01-21 02:48 AM - Nyall Dawson
Can you please share a project which is showing this behaviour?

#4 - 2014-01-21 03:45 AM - Mathieu Bossaert
- File html_file_in_composer.zip added

Good morning,

in attached you'll find a zip with the project, a shp layer and the html file used in the map composer

Thanks a lot.

#5 - 2014-02-01 02:18 AM - Nyall Dawson
- Status changed from Feedback to Closed

Fixed in changeset commit:"9ba28b386ffe182044a991ef5f24054dbb1c4c22".

Files
html_file_in_composer.zip 11.9KB 2014-01-21 Mathieu Bossaert
